CREATE TABLE ar_bpa_template_files (
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TEMPLATE_FILE_ID         NUMBER(18, 0),
    TEMPLATE_ID              NUMBER(18, 0)    NOT NULL,
    LANGUAGE_CODE            VARCHAR2(16)     NOT NULL,
    FILE_NAME                VARCHAR2(960),
    FILE_DATA                BLOB         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TEMPLATE_FILE_ID         NUMBER(18, 0),
    TEMPLATE_ID              NUMBER(18, 0)    NOT NULL,
    LANGUAGE_CODE            VARCHAR2(16)     NOT NULL,
    FILE_NAME                VARCHAR2(960),
    FILE_DATA                BLOB         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ar_bpa_template_files PRIMARY KEY (TEMPLATE_FILE_ID, TEMPLATE_FILE_ID)
);
